Upgrade v1 to 1.1


  1. srash

    srash Member

    Can anyone tell me in simple terms how to upgrade my system from 1.0 to 1.1 manually?

    I am currently running RC8 in the UK but on 02 (not T-Mobile) - my phone is unlocked.

    If i upgrade will it lock me out of my sim?

    Im not that bothered about V1.5 - i dont think its available for me yet. 1.1 would be good though, then i can see all the apps on the market, which i cant currently do.

    Advertisement
  2. RozzaC

    RozzaC Well-Known Member

    I don't think you would be locked out of your sim....

    You can find a manual update file and update the system yourself...

    And actually....

    1.5 is out there for UK G1's....I got the OTA update this morning...and somebody else posted a link to the official OTA update for manual updaters...

    I'm not sure where you can get it from seeing as I've never looked into it...

    But I know the link to 1.5 is here...
    http://androidforums.com/updates-cupcakes/5085-link-uk-manual-cupcake-update.html

    I'll try and find 1.1 for you if you'd rather have that...
  3. srash

    srash Member

    Great thanks.

    Is it easy to install?

    What do i need to do to get it going? - im not very good with this stuff.
  4. srash

    srash Member

    Just tried to flash it but i get this:-

    E: No signature
    E: Verification failed
    Installation aborted...

    Any idea what i do from here?

    The forum that the link is from has someone who has the same problem, but i dont understand the answer!

    Thanks
  5. RozzaC

    RozzaC Well-Known Member

    You're not rooted are you?

    ---EDIT---

    SCratch that....

    You need to get RC9 first anyway....before you can get 1.5....

    I'll try and find the download for you....

    ---EDIT 2---
    Found it...

    http://www.g1-news.com/2009/03/03/how-to-manually-update-to-uk-rc9-firmware-on-your-t-mobile-g1/
  6. srash

    srash Member

    Thanks for this, I will try in the morning and let you know how I get on.

    Just hope it doesn't lock my sim, but you know what they say - no pain no gain!

    I appreciate the clear help by the way
  7. RozzaC

    RozzaC Well-Known Member

    No worries...always happy to help =)

    Let me know how it all goes...
  8. srash

    srash Member

    No luck with this one either.

    I just get theh same thing as before:-

    E: No signature (165 files)
    E: Verification failed
    Installation aborted...

    It seems to find the file.

    One thing that doesnt look right is that the 1st line on screen at the recovery screen says -

    E:Can't open / cache/recovery/command

    does that mean anything?
  9. srash

    srash Member

    I have also tried to update the device through the device info. When i check for upgrade it finds a file, which seems quite big, downloads it. then i get:-

    FOTA_FAILURE
    java.io.filenotfoundexception:
    /system/etc/security/otacerts.zip


    Is this fixable?
  10. RozzaC

    RozzaC Well-Known Member

    Do you have a ADP phone, by any chance?
  11. srash

    srash Member

    Yes i do.

    Its a long story - but i tried to tether it, and it locked my sim out. So i took it to a shop in china town where they unlocked it and put rc8 on it.

    You may have guessed that by now i am not a developer.

    I would happily put the developer verson back on it, if i knew how. Someone tells me i have the wrong boot kit, im not sure what that means.

    A comedy of errors.
  12. RozzaC

    RozzaC Well-Known Member

  13. srash

    srash Member

    I did look at that but I am unsure, even after reading it a few times of what I do.

    I'm not very technical, as you may have noticed!

    Which one do I down load and how do I install it?

    I presume the developers one won't have a simlock on it? Always worries me this sort of thing, a little knowledge is dangerous.
  14. RozzaC

    RozzaC Well-Known Member

    I don't think you can do straight to 1.5....

    So you should download the 1.1 version and then the 1.5 version..

    Download those 3 files on that website for 1.1 and follow the instructions to install them..

    From looking at it...it looks a lot to read... =/
  15. srash

    srash Member

    Hi,

    Sorry to bug you again.

    I think i now vaguely understand the HTC page as to what i need to do to get the developers version back on.

    I have one major problem though.

    I do not have the original factory bootloader (hboot 0.95.3000) or a development bootloader that supports fastboot.

    My bootloader is:

    DREA110 PVT 32B
    HBOOT-0.95.0000
    CPLD-4
    RADIO-1.22.12.29


    So - i guess the question is - how do i get a bootloader that supports fastboot back on there?

    Damn this is complicated.
  16. srash

    srash Member

    OK.

    I am now on the origional boot for the dream phone.

    I just dont get what i am supposed to do to flash it though.

    This is well over my head - i would happily just pay someone to do this for me - phones should not be this complicated.

Share This Page